> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auto enrolmentnot complete



## OpenAPI

````yaml /api-reference/specs/pension-v2.json get /auto-enrolment/not-complete
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /auto-enrolment/not-complete:
    get:
      tags:
        - AutoEnrolment
      operationId: GetNotCompleteAutoEnrolments
      parameters:
        - name: includeEmployeeDetails
          in: query
          schema:
            type: boolean
        - name: asOfDate
          in: query
          schema:
            type: string
            format: date
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EmployeeAutoEnrolmentNotCompleteListApiResponse
components:
  schemas:
    EmployeeAutoEnrolmentNotCompleteListApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/EmployeeAutoEnrolmentNotCompleteListContent'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    EmployeeAutoEnrolmentNotCompleteListContent:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EmployeeAutoEnrolmentNotComplete'
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    EmployeeAutoEnrolmentNotComplete:
      required:
        - associatedPayRunId
        - determinationDate
        - employeeId
        - organisationId
        - revisionNumber
        - status
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        employeeId:
          type: string
          nullable: true
        determinationDate:
          type: string
          format: date
        revisionNumber:
          type: integer
          format: int32
        status:
          type: string
          nullable: true
        employee:
          $ref: '#/components/schemas/EmployeeMinimal'
        associatedPayRunId:
          $ref: '#/components/schemas/PayRunId'
        didPostpone:
          type: boolean
        didPostponementExpire:
          type: boolean
        postponementEndDate:
          type: string
          format: date
          nullable: true
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
    EmployeeMinimal:
      required:
        - employeeId
        - firstName
        - lastName
        - organisationId
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        employeeId:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false
    PayRunId:
      required:
        - frequency
        - organisationId
        - payrollConfigId
        - period
        - year
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        year:
          type: integer
          format: int32
        period:
          type: integer
          format: int32
        frequency:
          type: string
          nullable: true
        payrollConfigId:
          type: string
          nullable: true
      additionalProperties: false

````